Jump to content

beetle2001

Members
  • Content Count

    30
  • Joined

  • Last visited

    Never

About beetle2001

  • Rank
    Advanced Member
  1. Мне посоветовали использовать ScratchBox для этого, всем спасибо.
  2. Вопрос не в выборе платформы для разработки на Mono. Есть платформа и нужно прикрутить к ней моно - вопрос как это сделать Я спрашивал уже на моно форумах - ответа не получил. Вот и решил здесь спросить.
  3. Всем привет! Есть девайс PocketBook 301 plus: на нем проц Samsung® S3C2440 AL-40 400MHz и установлена Linux. Вот полное описание девайса если что: http://pocketbook.com.ua/index.php?id=204 Для этого девайса есть SDK на С, но я хочу сбилдить под него Mono и попробовать писать на C#. Подскажите пожалуйста как сделать cross-compile Mono? Я понимаю что это в двух словах не скажешь и что это больше вопрос по моно чем по линукс. Cross-compile я до этого не делал,но может быть кто-то расскажет хоть вкратце как это сделать или снабдит ссылочками. Всем заранее спасибо.
  4. Подскажите пожалуйста есть ли реализация SharpDevelop под linux? Судя по тому что я видел на их официальном сайте - то они только под винду. Так ли это? Насчет того что есть MonoDevelop я знаю, но мне интересно именно насчет sharpDevelop. Всем заранее спасибо за внимание
  5. вобщем, всем спасибо за внимание, поставил но намучался. Проблема была в том что по умолчанию установлена моно версии 1, а для MonoDevelop 2 нужен моно более новой версии. Получается что я ставил более новую версию моно поверх старой, чего делать нельзя. В этом и была проблема. Надо снести первую версию и потом только ставить вторую либо ставить вторую версию но так чтоб не смешать обе версии и потом запускать MonoDevelop 2 под новую версию моно.
  6. Спасибо за ответ. Поставил я себе это Compiz Fusion - но Эффект Куба — быстрое переключения на один из четырёх рабочих столов не работает. Тогда такие вопросы: 1) Как настроить себе 4 рабочих стола ( у меня их сейчас два) ? 2) Как заставить эффект куба работать?
  7. Всем привет! Подскажите пожалуйста как поставить Beryl на ubuntu 8.10. Synaptic Package Manager предлагает мне Compiz Fusion. Я так понимаю это эквивалент берила для моего дистрибутива? А почему не предлагается нормальный beryl 0.2.1 ?
  8. Как по мне взять да и поставить линукс с live диска, ничего в этом сложного не вижу, там нормальные подсказки и установка не сложнее чем виндовс. Предрассудки все это. Вот в эксплаутации уже другое дело, а поставить как по мне не сложно.
  9. Разобрался, Проблема была в том что я моно поломал. Не знал как его починить, пришлось поставить новую убунту )) С дистрибутивом убунту уже шла предустановленная версия Моно 1.9, а для МоноДевелоп надо не меньше 2.0. Получается я поставил Моно 2.4 поверх 1.9 и поломал его. При инсталляции новой версии Моно нужно ставить его отдельно а не поверх. Вот тут подробно описано как поставить новое моно, не поломав старое: http://mjhutchinson.com/journal/2007/11/08/how_not_break_mon o После того как я поставил моно, все собралось без проблем, только зависимостей много надо было ручками ставить. А так все хорошо. Всем спасибо за внимание.
  10. ubuntu 8.1 interpid собрал из исходников, запускаться не хочет - ругается )), часть ругательств уже устранил - вот что сейчас при запуске вижу: WARNING: Cannot find Mozilla directory containing libgtkembedmoz.so. Some Addins may not be able to function. Please set MOZILLA_FIVE_HOME to your Mozilla directory. ERROR [2009-04-18 00:20:50Z]: Error initialising GLib logging. System.DllNotFoundException: libglib-2.0-0.dll at (wrapper managed-to-native) GLib.Marshaller:g_malloc (uintptr) at GLib.Marshaller.StringToPtrGStrdup (System.String str) [0x00000] at GLib.Log.SetLogHandler (System.String logDomain, LogLevelFlags flags, GLib.LogFunc logFunc) [0x00000] at MonoDevelop.Core.Gui.GLibLogging.set_Enabled (Boolean value) [0x00000] at MonoDevelop.Ide.Gui.IdeStartup.Run (System.String[] args) [0x00000] WARNING [2009-04-18 00:20:50Z]: MonoDevelop failed to start. Rebuilding addins registry. Unhandled Exception: System.InvalidOperationException: Add-in manager not initialized. at Mono.Addins.AddinManager.CheckInitialized () [0x00000] at Mono.Addins.AddinManager.get_Registry () [0x00000] at MonoDevelop.Startup.SharpDevelopMain.Main (System.String[] args) [0x00000] с первой проблемой пробовал бороться так: MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0.8; import MOZILLA_FIVE_HOME и вот так sudo import MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0.8 /usr/lib/firefox-3.0.8 - папка откуда запускается мой фаерфокс и где лежит этот libgtkembedmoz.so вот что получаю No protocol specified import: unable to open X server `:0.0' лазил на форумах и гуглил ничего не нашел что помогло бы (( подскажите плиз куда копать и где брать лопату
  11. вот что имеем если запустить со строки: beetle@beetle:~$ monodevelop WARNING: Cannot find Mozilla directory containing libgtkembedmoz.so. Some Addins may not be able to function. Please set MOZILLA_FIVE_HOME to your Mozilla directory. ** (/usr/local/lib/monodevelop/bin/MonoDevelop.exe:5869): WARNING **: The following assembly referenced from /usr/local/lib/monodevelop/bin/MonoDevelop.Core.dll could not be loaded: Assembly: Mono.Addins.Setup (assemblyref_index=7) Version: 0.3.0.0 Public Key: 0738eb9f132ed756 The assembly was not found in the Global Assembly Cache, a path listed in the MONO_PATH environment variable, or in the location of the executing assembly (/usr/local/lib/monodevelop/bin/). ** (/usr/local/lib/monodevelop/bin/MonoDevelop.exe:5869): WARNING **: Could not load file or assembly 'Mono.Addins.Setup, Version=0.3.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756' or one of its dependencies. ** (/usr/local/lib/monodevelop/bin/MonoDevelop.exe:5869): WARNING **: The following assembly referenced from /usr/local/lib/monodevelop/bin/MonoDevelop.exe could not be loaded: Assembly: Mono.Addins (assemblyref_index=3) Version: 0.3.0.0 Public Key: 0738eb9f132ed756 The assembly was not found in the Global Assembly Cache, a path listed in the MONO_PATH environment variable, or in the location of the executing assembly (/usr/local/lib/monodevelop/bin/). ** (/usr/local/lib/monodevelop/bin/MonoDevelop.exe:5869): WARNING **: Could not load file or assembly 'Mono.Addins, Version=0.3.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756' or one of its dependencies. ** (/usr/local/lib/monodevelop/bin/MonoDevelop.exe:5869): WARNING **: Missing method get_Registry in assembly /usr/local/lib/monodevelop/bin/MonoDevelop.exe, type Mono.Addins.AddinManager Unhandled Exception: System.IO.FileNotFoundException: Could not load file or assembly 'Mono.Addins, Version=0.3.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756' or one of its dependencies. File name: 'Mono.Addins, Version=0.3.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756' то что сборки не хватает я вижу)) только вот как определить где и что нужно скачать? ))
  12. кстати не могу понять, почему нельзя все зависимости и нужные компоненты сложить в одно место или на диск какой-нить хотя бы и по человечески выложить, а то куча всего нужна и ищи её где хочешь)
  13. sudo aptitude install monodevelop - вытянет только Monodevelop 1.0, а мне надо именно 2.0, у первой версии визуального дебагера нет и прочих вкусностей, на официальном сайте пишут что 2.0 пока из бинарников недоступен
  14. Всем привет! Поделитесь плиз опытом установки MonoDevelop 2.0 Вобще я в этом же формуме в "Общем программировании" создал отдельный топик)) Решил здесь тоже спросить - наверное на Флейм больше внимания обращают чем на Общее программирование
  15. ок, всем спасибо, вопрос исчерпан
×
×
  • Create New...